<ion-header>
  <div id="menu">
    <ul>
      <li><a (click) = navToHome()>Home</a></li>
      <li><a (click) = navToTest()>Test</a></li>
    </ul>
  </div>
</ion-header>

<ion-content>
  <div class="sidenav">
    <div class="menu-box" style="text-align: center;">
      <img style="width: 30px; height: 30px;" src="../../assets/signature.png"><br>
      <p style="color: white;"><font size="2">Signatures</font></p>
    </div><br>

    <div style="text-align: center;">
      <hr class="new1">
    </div>

    <div class="menu-box" style="text-align: center;" (click)='navToCreate()'>
      <img style="width: 30px; height: 30px;" src="../../assets/or.png"><br>
      <p style="color: white;"><font size="2">Organnizations</font></p>
    </div><br>

    <div style="text-align: center;">
      <hr class="new1">
    </div>

    <div class="menu-box" style="text-align: center;" (click) = navToAmin()>
      <img style="width: 30px; height: 30px;" src="../../assets/admin.png"><br>
      <p style="color: white;"><font size="2">Admin</font></p>
    </div><br>

    <hr class="new1">

    <div class="create" (click) = navToNew()>
      <img style="width: 30px; height: 30px; margin-top: 5px;" src="../../assets/plus.jpg"><br>
      <p><b>CREATE</b></p>
    </div><br>

    <hr class="new1">
  </div>
  <div class="main">
    <ion-list lines="full">
      <ion-list-header>
          <ion-label>Projects</ion-label>
          <div>
            <ion-label> {{showNamespace}} </ion-label>
            <ion-icon name="arrow-forward"></ion-icon>
          </div>
      </ion-list-header>
    </ion-list>
    <div *ngFor="let project of subnamespaceNames; let i=index">
      <ion-item>
        <ion-icon name="folder"> </ion-icon>
        <ion-label (click) = 'openProject(project)' style="margin: 20px; "> <font size="3"> {{project}} </font></ion-label>
      </ion-item>
    </div><br>
    <div *ngIf="organizationsService.isCreatingPro == false">
      <button (click) = "onShowPrivateKey()" class="btn-submit" type="button">
        <label style="color: white;"><font size="3">Create New Project  </font></label>
        <ion-icon name="arrow-forward" style="color: white;"></ion-icon>
      </button>
    </div>
    <div *ngIf="organizationsService.isCreatingPro == true">
      <ion-item lines="none">
        <ion-label style="color: darkgray;"><i>Project is creating.....</i> </ion-label>
        <ion-spinner></ion-spinner>
      </ion-item>
    </div>
  </div>


</ion-content>

